<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Store :: BDB</name>
    <id>activemq-store-bdbn</id>
    <shortDescription>Native BDB Message persistence implementation</shortDescription>
    <description>Native BDB message persistence implementation</description>
  
    <package>org.activemq.store.bdbn</package>
    <packageGroups>
      <packageGroup>
        <title>Native BDB message persistence implementation</title>
        <packages>org.activemq.store.bdbn</packages>
      </packageGroup>
    </packageGroups>
 
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>

      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
      <dependency> <!-- Used for unit tests -->
        <groupId>activemq</groupId>
        <artifactId>activemq-core-test</artifactId>
        <version>${pom.currentVersion}</version>
      </dependency>
      
      <dependency>
        <groupId>berkeleydb</groupId>
        <artifactId>berkeleydb-native</artifactId>
        <version>${berkeleydb_native_version}</version>
      </dependency>
      
    </dependencies>  

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>
    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>
        <!-- Don't run these tests unless you have the native lib -->
        <exclude>**/bdbn/**</exclude>
      </excludes>
    </unitTest>
    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>
</project>
